NAME
atof - convert string to double-precision number

SYNOPSIS
double atof (str)
char *str;

DESCRIPTION
atof returns (as a double-precision floating-point number) the value represented by the character string pointed to by str. The string is scanned up to the first unrecognized character.

atof recognizes an optional string of ``white-space'' characters [as defined by isspace in ctype(3L)], then an optional sign, then a string of digits optionally containing a decimal point, then an optional e or E followed by an optional sign or space, followed by an integer.

SEE ALSO
ctype(3L), strtol(3L).

DIAGNOSTICS
If the correct value would cause overflow, ±HUGE (as defined in <ccs/math.h>) is returned (according to the sign of the value), and errno is set to ERANGE.
If the correct value would cause underflow, zero is returned and errno is set to ERANGE.